<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.10 (2013/03/20)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_modif.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../");
$userprefs[3] = "L"; //Boites latrales toutes  gauche
if(!preg_match("`^[-a-z]+$`i", $lng) || !preg_match("`^plugin$`i",$pg) || !preg_match("`^adm_redacteurs/inc/redac_modif$`i",$plug) || !preg_match("`^(yes|no)$`i",$grpredac)) die("Erreur dans le nom des variables passes dans l'URL !!");
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc");
include(CHEMIN."plugins/adm_redacteurs/inc/functionredac.inc");	
include(CHEMIN."inc/hpage.inc");

//Rcupration et protection des variables
$idredac = VariableControl('pseudo','get');
if(!preg_match("`^[-a-z0-9_]+$`i",$idredac)) die($redac139);
//$idredac = isset($_GET['pseudo']) ? $_GET['pseudo'] : NULL;
//$idredac = strip_tags($idredac);
$confmodif = isset($_POST['confmodif']) ? $_POST['confmodif'] : 0;
if(!preg_match("`^(0|1|2|3)$`",$confmodif)) die($redac139);
    
//on rcupre les plugins
if (file_exists(REP_DOC_PLUGIN."list_plugins".DBEXT)) { //on teste pour voir si le listing des plugins existe
    $redac_plugins = RecupPluginRedac(REP_DOC_PLUGIN."list_plugins".DBEXT);
	$nbplugins = count($redac_plugins) ;	
} else {
    $nbplugins = 0;
}
	
//on rcupre la config du rdacteur ou du groupe rdacteur
switch($grpredac) {
	case 'no' :
		if (file_exists(REP_REDAC.$idredac.DBEXT)) { //on teste pour voir si le fichier du rdacteur existe
      		include(REP_REDAC.$idredac.DBEXT);
	  		$oldrpseudo = $redacprefs['rpseudo'];
	  		$oldrpass = $redacprefs['rpass'];    
		} else {
      		$confmodif = 3;
		}
	break;
	case 'yes' :
		if (file_exists(REP_REDAC.'grp_'.$idredac.INCEXT)) { //on teste pour voir si le fichier du groupe rdacteur existe
      		include(REP_REDAC.'grp_'.$idredac.INCEXT);
	  		$oldrgroupseudo = $redacprefs['rgroupseudo'];
		} else {
      		$confmodif = 3;
		}
	break;
	default :
		die($redac139);	
}

//on rcupre la nouvelle config du rdacteur ou du groupe rdacteur
if ($confmodif == 1) {
    ////////////////////////////////////////////////////////////////////
    //Rcupration et correction (si ncessaire) des variables postes//
	////////////////////////////////////////////////////////////////////
	switch($grpredac) {
		case 'no' :
			$newrpseudo = VariableControl('newrpseudo','post');	//nouveau pseudo du rdacteur
			$newrpseudo = preg_replace('`[^-a-z0-9_]`i','',trim($newrpseudo)); //on enlve les espaces blancs ainsi que tous les caractres interdits
			$rgroupseudo = VariableControl('rgroupseudo','post');	//pseudo du groupe du rdacteur
			$rgroupseudo = preg_replace('`[^-a-z0-9_]`i','',trim($rgroupseudo)); //on enlve les espaces blancs ainsi que tous les caractres interdits
		break;
		case 'yes' :
			$newrgroupseudo = VariableControl('newrpseudo','post');	//pseudo du groupe
			$newrgroupseudo = preg_replace('`[^-a-z0-9_]`i','',trim($newrgroupseudo)); //on enlve les espaces blancs ainsi que tous les caractres interdits				
		break;
		default :
			die($redac139);	
	}
	include(CHEMIN.'admin/plugins/adm_redacteurs/inc/var_control.inc');  //control des autres variables
	//Liste des rdacteurs  grer
	$listnameredac = array();
	$rlistgestredac = array();
    $dbredac = opendir(REP_REDAC);
	$k =0;
	while(false !== ($nameredac = readdir($dbredac))) {
		if(is_file(REP_REDAC.$nameredac) && preg_match('`^[a-z0-9_]+\.dtb$`i',$nameredac)) {
			$nameredac = str_replace('.dtb','',$nameredac);
			if($nameredac != $redacprefs['rpseudo']) $listnameredac[] = $nameredac;
		}
	}
	closedir($dbredac);	
	$rlistgestredac = explode('|',$redacprefs['rlistgestredac']);
	foreach($rlistgestredac as $cle => $value) {
		if (!in_array($value,$listnameredac) || in_array($value,$_POST['rdelgestredac'])) unset($rlistgestredac[$cle]);
	} 
	for ($i=0; $i < count($_POST['raddgestredac']);$i++) {
		if ($_POST['raddgestredac'][$i] != "" && !in_array($_POST['raddgestredac'][$i],$rlistgestredac)) array_push($rlistgestredac,$_POST['raddgestredac'][$i]);
	} 	
	$rlistgestredac = implode('|',$rlistgestredac);

    ////////////////////////////////////////////////////////////////////////////////////////////////////////////   	   
    //Control du pseudo (unicit,non vide et pas de caractres speciaux) et du pass (non vide et pas d'espace)//
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////
    $erreur = false;
	switch($grpredac) {
		case 'no' :
        	if ($newrpseudo == $oldrpseudo && empty($newrpass)){
           		$erreur = true;
           		$rpseudo = $oldrpseudo; //  Pseudo inchang !
	       		$rpass = $oldrpass;          //  mot de passe inchang !
        	} else if($newrpseudo == $oldrpseudo && ($newrpass == '' || $newrpass != $newrppass)){
	       		$erreur = true;
           		$rpseudo = $oldrpseudo; //  Pseudo inchang !
	       		$rpass = $oldrpass;          //  mot de passe inchang !
	       		$confmodif = 2;
	    	} else if ($newrpseudo != $oldrpseudo && (!preg_match('`^[-a-z0-9_]+$`i',$newrpseudo) || file_exists(REP_REDAC.$newrpseudo.DBEXT) || $newrpass == '' || $newrpass != $newrppass)) {
           		$erreur = true;
           		$rpseudo = $oldrpseudo; //  Pseudo inchang !
	       		$rpass = $oldrpass;          //  mot de passe inchang !
	       		$confmodif = 2;		   
       		}
		break;
		case 'yes' :
        	if ($newrgroupseudo == $oldrgroupseudo){
           		$erreur = true;
           		$rgroupseudo = $oldrgroupseudo; //  Pseudo du groupe inchang !
        	} else if ($newrgroupseudo != $oldrgroupseudo && (!preg_match('`^[-a-z0-9_]+$`i',$newrgroupseudo) || file_exists(REP_REDAC.'grp_'.$newrgroupseudo.INCEXT))) {
           		$erreur = true;
           		$rgroupseudo = $oldrgroupseudo; //  Pseudo du groupe inchang !
	       		$confmodif = 2;		   
       		}
		break;
		default :
			die($redac139);	
	}

	//////////////////////////////////////////////////   
    //Modification du pseudo et du pass du rdacteur//
	//////////////////////////////////////////////////
	switch($grpredac) {
		case 'no' :
	   		if($newrpseudo == $oldrpseudo && $erreur == false){
           		$rpseudo = $oldrpseudo; //  Pseudo inchang !
	       		$rpass = md5($newrpseudo.$newrpass);     // on rcupre le nouveau mot de passe en crypt
       		}
	   		if ($newrpseudo != $oldrpseudo && $erreur == false) {
	           	$rpseudo = $newrpseudo;     // on rcupre le nouveau pseudo
	           	$rpass = md5($newrpseudo.$newrpass);     // on rcupre le nouveau mot de passe en crypt

	           	@unlink(REP_REDAC.$oldrpseudo.DBEXT); //on supprime l'ancien fichier du rdacteur
	           	//on s'occupe du fichiers doc du rdacteur
	           	if (file_exists(REP_DOC."doc_".$oldrpseudo.DBEXT)) { //on teste pour voir si le fichier existe
	               	$docDB = array();
	               	$docDB = ReadDBFields(REP_DOC."doc_".$oldrpseudo.DBEXT);	// on rcupre les donnes de l'ancine fichier doc du rdacteur
	               	WriteDBFields(REP_DOC."doc_".$rpseudo.DBEXT,$docDB); // on cre le nouveau fichier doc du rdacteur contenant les anciennes donnes
	               	@unlink(REP_DOC."doc_".$oldrpseudo.DBEXT); //on supprime l'ancien fichier doc du rdacteur
	           	}
	           	//on s'occupe des fichiers des plugins du rdacteur
		       	//plugin diaporama
	           	if (file_exists(REP_DOC_PLUGIN."diaporama/liste_".$oldrpseudo.DBEXT)) { //on teste pour voir si le fichier du plugin existe
	               	$docDB = array();
	               	$docDB = ReadDBFields(REP_DOC_PLUGIN."diaporama/liste_".$oldrpseudo.DBEXT);	// on rcupre les donnes de l'ancien fichier doc du rdacteur
	               	WriteDBFields(REP_DOC_PLUGIN."diaporama/liste_".$rpseudo.DBEXT,$docDB); // on cre le nouveau fichier doc du rdacteur contenant les anciennes donnes
	               	@unlink(REP_DOC_PLUGIN."diaporama/liste_".$oldrpseudo.DBEXT); //on supprime l'ancien fichier doc du rdacteur
	           	}
			   	//plugin ajoutemenu
			   	$dir = opendir(REP_DOC_PLUGIN."ajoutemenu/");
               	while ($f = readdir($dir)) {
	              	if (is_file(REP_DOC_PLUGIN."ajoutemenu/".$f) && $f != 'index.php' && strstr($f,$oldrpseudo."_menu") != "") {	
				      	$nmenu = substr($f,-5,1);					
		              	$docDB = ReadDBFields(REP_DOC_PLUGIN."ajoutemenu/".$f);	// on rcupre les donnes de l'ancien fichier doc du rdacteur
	                 	 WriteDBFields(REP_DOC_PLUGIN."ajoutemenu/".$rpseudo."_menu".$nmenu.DBEXT,$docDB); // on cre le nouveau fichier doc du rdacteur contenant les anciennes donnes
	                  	DestroyDBFile(REP_DOC_PLUGIN."ajoutemenu/".$f); //on supprime l'ancien fichier doc du rdacteur						  
				  	}	 
	           	}
               	closedir($dir);			  
	    	}
		break;
		case 'yes' :
	   		if($newrgroupseudo == $oldrgroupseudo && $erreur == false){
           		$rgroupseudo = $oldrgroupseudo; //  Pseudo du groupe inchang !
       		}
	   		if ($newrgroupseudo != $oldrgroupseudo && $erreur == false) {
	           	$rgroupseudo = $newrgroupseudo;     // on rcupre le nouveau pseudo du groupe
	           	@unlink(REP_REDAC.'grp_'.$oldrgroupseudo.INCEXT); //on supprime l'ancien fichier du rdacteur
	           	//on s'occupe des fichiers des rdacteurs du groupe pour modifier le nom du groupe
        		$dir = opendir(REP_REDAC); //on ouvre le rpertoire data/redacteurs
				while ($f = readdir($dir)) { //on lit les nom des fichiers dans data
            		if(is_file(REP_REDAC.$f) && $f != 'index.php' && preg_match('`\.dtb$`i',$f)) {
		       			include(REP_REDAC.$f);
						if($redacprefs['rgroupseudo'] == $oldrgroupseudo) {
							$rpseudo = $redacprefs['rpseudo'];
							$rpass = $redacprefs['rpass'];
							$rgroupseudo = $newrgroupseudo;
		  					include(CHEMIN."admin/plugins/adm_redacteurs/inc/redac_config".INCEXT);					
						}
	        		}    
	    		}
	    		closedir($dir); // on ferme le rpertoire	
			}
		break;
		default :
			die($redac139);	
	}

    ////////////////////////////////////////////////
	// On cre le nouveau fichier de configuration//
	////////////////////////////////////////////////
	switch($grpredac) {
		case 'no' :
		  	include(CHEMIN."admin/plugins/adm_redacteurs/inc/redac_config".INCEXT);
		break;
		case 'yes' :
		  	include(CHEMIN."admin/plugins/adm_redacteurs/inc/redac_groupe_config".INCEXT);
		break;
		default :
			die($redac139);	
	}
}

if($grpredac == 'no') {
	//On rajoute un article dans le doc du rdacteur
	for ($i=0; $i < count($_POST['raddart']);$i++) {
		if ($_POST['raddart'][$i] != ""){ 
        	//On rcupre les id de tous les articles crits dans guppy
        	$dbadd = array();
        	$dbadd = SelectDBFieldsByID(SelectDBFieldsByType(ReadDBFields(DOCID),TYP_ART),$_POST['raddart'][$i]);                       
        	AppendDBFields(REP_DOC."doc_".$newrpseudo.DBEXT,$dbadd[0]); //on crit ces coordonnes dans le fichier doc du rdacteur
    	}
	}
	//On enlve un article dans le doc du rdacteur
	for ($i=0; $i < count($_POST['removart']);$i++) {
		if ($_POST['removart'][$i] != ""){ 
        	$docidredac = REP_DOC."doc_".$newrpseudo.DBEXT; // on affecte le fichier doc du rdacteur
        	$dbenl = array();
        	$newdb = array();
        	$dbenl = ReadDBFields($docidredac);
        	for ($j = 0; $j < count($dbenl); $j++) {
            	if ($dbenl[$j][1] != $_POST['removart'][$i]) {
                	$newdb[] = $dbenl[$j];
            	}
        	}
        	WriteDBFields($docidredac,$newdb);
		}
	}
}

////////////////////////////
//Ecriture de la page HTML//
////////////////////////////
($grpredac == 'no')? htable($redac9, "100%") : htable($redac151, "100%");
?>
<div style="text-align:center;margin-bottom:20px;font-weight:bold;text-decoration:underline;"><?php echo $redac53; ?></div>
<ul><li style="text-align:justify;margin-bottom:20px;margin-right:20px;"><?php echo $redac54; ?></li>
<li style="text-align:justify;margin-bottom:20px;margin-right:20px;"><?php echo $redac55; ?></li></ul>
<hr />
<div style="text-align:center;"><a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div> 
<hr />
<br />
<p style="text-align:center;">
<a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac3; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=no"><?php echo $redac4; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=yes"><?php echo $redac143; ?></a>
</p>
<?php
switch($confmodif) {	
   case "0" :
?>
        <script type="text/javascript">
        <!--
		  function affich_droit_categorie(idcase1,idcase2,idson,idparent,divwidth) {
		  	if(document.redacmodif.elements[idcase1].checked || document.redacmodif.elements[idcase2].checked ) {
		  		document.getElementById(idparent).style.width = '220px';
		  		document.getElementById(idson).style.display = 'block';
		  	} else {
		  		document.getElementById(idparent).style.width = divwidth;
		  		document.getElementById(idson).style.display = 'none';
			}
			return;	  
		  }

		  function affich_name_categorie(idcase,id) {
		  	var namecat;
		  	switch (id){
				case 'rnamecatart' :
					namecat = "<?php echo $redacprefs['rnamecatart']; ?>";
				break;
				case 'rnamecatphoto' :
					namecat = "<?php echo $redacprefs['rnamecatphoto']; ?>";
				break;
				case 'rnamecatlinks' :
					namecat = "<?php echo $redacprefs['rnamecatlinks']; ?>";
				break;
				case 'rnamecatfaq' :
					namecat = "<?php echo $redacprefs['rnamecatfaq']; ?>";
				break;
				case 'rnamecatfile' :
					namecat = "<?php echo $redacprefs['rnamecatfile']; ?>";
				break;
				case 'rnamecatdnload' :
					namecat = "<?php echo $redacprefs['rnamecatdnload']; ?>";
				break;
				case 'rnamecatblog' :
					namecat = "<?php echo $redacprefs['rnamecatblog']; ?>";
				break;
				default :
			}
		  	if(idcase.checked) {
		  		document.getElementById(id).disabled = true;
				document.getElementById(id).value= "";
		  	} else if(document.getElementById(id).value == "" ) {
		  		document.getElementById(id).disabled = false;
				document.getElementById(id).value = namecat;
			} else {
		  		document.getElementById(id).disabled = false;
			}
			return;	  
		  }
		  
		  function affich_options(id,idcase,idinput,view) {
		  	var message ;
		    var erreur = false;
		  	switch (idinput){
				case 'rnamecatfile' :
					var namecatvalue = document.getElementById(idinput).value;
					//namecatvalue = namecatvalue.replace(/\s/g,'');
		  			if(!document.redacmodif.elements[idcase].checked) {
						if (namecatvalue.length < 1) {  //pas de nom
							message = "<?php echo addslashes($redac154); ?>";
							erreur = true;
             			} else if (namecatvalue.search(/[^-a-zA-Z0-9_]/g) != -1) {  //caractres interdits dans le nom
                			message = "<?php echo addslashes($redac16); ?>";
                			erreur = true;		 
			 			}
						if(erreur) {
							alert(message);
							message = '';
						} else {
		  					document.getElementById(id).style.display = view;
						}
					} else {
		  				document.getElementById(id).style.display = view;
					}
				break;
				case 'rnamecatart' :
					if(document.getElementById(idinput) != null) {
						var namecatvalue = document.getElementById(idinput).value;
						document.getElementById(idinput).value = namecatvalue.replace(/"/g,"'");
						namecatvalue = namecatvalue.replace(/\s/g,'');
		  				document.getElementById(id).style.display = view;
					} else {
		  				document.getElementById(id).style.display = view;			
					}
				break;
				default :
					message = '<?php echo addslashes($redac153); ?>';				
					if(document.getElementById(idinput) != null) {
						var namecatvalue = document.getElementById(idinput).value;
						document.getElementById(idinput).value = namecatvalue.replace(/"/g,"'");
						namecatvalue = namecatvalue.replace(/\s/g,'');
		  				if(!document.redacmodif.elements[idcase].checked  && namecatvalue =='') {
							alert(message);
							message = '';
						} else {
		  					document.getElementById(id).style.display = view;
						}
					} else {
		  				document.getElementById(id).style.display = view;			
					}
			}
		  }
		  
		  function affich_droits(idcase,id) {
		  	if(idcase.checked) {
		  		document.getElementById(id).style.display = 'inline';
			} else{
		  		document.getElementById(id).style.display = 'none';			
			}
		  }

		  //fonction pour afficher config personnalise
		  function affich_configperso(idselect,id) {
		  	var i = idselect.selectedIndex;
		  	if(idselect.options[i].value == '') {
				for (j=0;j<10;j++) {
		  			document.getElementById(id+j).style.display = 'block';
				}
		  	} else {
				for (j=0;j<10;j++) {
		  			document.getElementById(id+j).style.display = 'none';
				}		  		
			}
		  }

		  //fonction pour la slection des numros des menus pour les plugins ajoutemenu
		  function Affichenum_menu(h,plugin) {
                switch (plugin) {
			        case 'ajoutemenu' :
		                var i = h.ajoutemenu;
				        var j = h.num_ajoutemenu;
				        break;
			        case 'ajoutefreebox' :
		                var i = h.ajoutefreebox;
				        var j = h.num_ajoutefreebox;
				        break;					
				    default :
				        window.alert("Un problme est survenu, veuillez recommencer ou contacter l'auteur du plugin");
			    }
			    if (i.checked == false) { 
				    j.disabled = true;
				    j.value = ""; 

				}
			    if (i.checked == true) { 
				    j.disabled = false;
					if (plugin == 'ajoutemenu' ) {
				        j.value = "<?php echo $redacprefs['num_ajoutemenu']; ?>"; 
					}
					if (plugin == 'ajoutefreebox' ) {
				        j.value = "<?php echo $redacprefs['num_ajoutefreebox']; ?>"; 
					}									
				}
			    return;	  
		  } 
		  
         //fonction pour le control sur la saisie des numros de menus des plugins de jeanmi
         function plugin_control(h,plugin,name) {
             if (h.elements[plugin].value != "") {
			     chainemnu = h.elements[plugin].value;
				 if (chainemnu.charAt(chainemnu.length-1) == ';') {
				               message += '<?php echo addslashes($redac104); ?>'+name+'\n';	
						       message += '<?php echo addslashes($redac105); ?>\n';							   				     
						       return true;
                 } else {
                     mnu = h.elements[plugin].value.split(";");
					 erreur_mnu = 0;
					 erreur_mnu1 = 0;
			         for(i=0; i<(mnu.length); i++) {
				          if (mnu[i] == "") {
							   erreur_mnu = 1;							   
					      } else  if ((mnu[i] != parseFloat(mnu[i])) || (mnu[i] < 0) || (mnu[i] >= 20)) {
							   erreur_mnu1 = 1;
					      } 		 
			         }
					 if (erreur_mnu == 1 || erreur_mnu1 == 1) {
                          message += '<?php echo addslashes($redac104); ?>'+name+'\n';
						  if (erreur_mnu == 1) {
						       message += '<?php echo addslashes($redac106); ?>\n';							   				     					 
						  }
						  if (erreur_mnu1 == 1) { 
						       message += '<?php echo addslashes($redac107); ?>\n';
					           message += '<?php echo addslashes($redac108); ?>\n\n';
						  }
						  return true;					 
					 } else {
					      return false;
					 }
				 }
			 } else {
			   return false;
			 }
		 }		
		 -->
         </script>

        <script type="text/javascript">
        <!--
		  var message = '';  //variable globale pour initialiser message
			 
          function submit_config(h) {
		     var erreur = false;
		  // Control du pseudo
             if (h.newrpseudo.value.length < 1) {  //pas de pseudo
                message += '<?php echo addslashes($redac15); ?>\n\n';
                erreur = true;
             } else if (h.newrpseudo.value.search(/[^-a-zA-Z0-9_]/g) != -1) {   //caractres interdits dans pseudo          
                message += '<?php echo addslashes($redac16); ?>\n\n';
                erreur = true;
             }

<?php
if ($grpredac == 'no') {
?>			 		 
          // Control du pass
             if (h.newrpseudo.value != '<?php echo $oldrpseudo; ?>' && h.newrpass.value.length < 1) {  //pas de pass si nouveau pseudo
                message += '<?php echo addslashes($redac18); ?>\n\n';
                erreur = true;
             } else if (h.newrppass.value != h.newrpass.value) {  // pass diffrents                                         
                message += '<?php echo addslashes($redac17); ?>\n\n';
                erreur = true;
			 } else if (h.newrpseudo.value != '<?php echo $oldrpseudo; ?>' && h.newrpass.value.search(/\s/) != -1) {  //espace blanc dans pass si nouveau pseudo
                message += '<?php echo addslashes($redac113); ?>\n\n';
                erreur = true;			 
			 }
<?php
}
?>
          // Control de la saisie des menus du plugin ajoutemenu
             if(document.getElementById('ajoutemenu') != null) { 
                test = plugin_control(h,'num_ajoutemenu','"Menu Extra"');
				if (test == true) erreur = true;
             }
          // Control de la saisie des menus du plugin ajoutefreebox
             if(document.getElementById('ajoutefreebox') != null) { 
                test = plugin_control(h,'num_ajoutefreebox','"Extra Free Box"');
				if (test == true) erreur = true;
             }
          // Fin des control de saisie
			 
             if (erreur == true) {
                 alert(message);
				 message = '';
				 return false;
             } else { 
	             return true;
             }
          }

        -->
        </script>

        <form action="" method="post" id="redacmodif" name="redacmodif" onsubmit="return submit_config(this);">
        <input type="hidden" name="confmodif" id="confmodif" value="1" />
        <input type="hidden" name="grpredac" id="grpredac" value="<?php echo $grpredac; ?>" />
		<div style="text-align:center; margin-top:15px;"> <!-- correction bug IE -->
		<div style="margin-left:auto;margin-right:auto;width:350px;text-align:right;">
<?php
		switch($grpredac) {
			case 'no' :
?>
				<span style="font-weight:bold;"><?php echo $redac1; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="text" id="newrpseudo" name="newrpseudo" size="20" value="<?php echo $oldrpseudo; ?>"><br />   <!-- pseudo du rdacteur -->
				<span style="font-weight:bold;"><?php echo $redac10; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="password" id="newrpass" name="newrpass" size="20" value=""><br />   <!-- pass du rdacteur -->
				<span style="font-weight:bold;"><?php echo $redac11; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="password" id="newrppass" name="newrppass" size="20" value=""><br />
				<span style="font-weight:bold;"><?php echo $redac140; ?></span>
<?php
				//Rcupration des pseudo des groupes de rdacteurs
				$rpseudoLower = array();
        		$dir = opendir(REP_REDAC);
        		while ($f = readdir($dir)) {
            		if(is_file(REP_REDAC.$f) && $f != 'index.php' && preg_match('`^grp_[-a-z0-9_]+.inc$`i',$f)) {
		       			//include(REP_REDAC.$f);
			   			$nomgrpredac = preg_replace('`^grp_([-a-z0-9_]+).inc$`i','\\1',$f);
               			$rpseudoLower[$nomgrpredac] = strToLower($nomgrpredac);
	        		}    
	    		}
	    		closedir($dir);
	    		@asort($rpseudoLower);  //tri alphabtique
?>
				<select id="rgroupseudo" name="rgroupseudo" onchange="affich_configperso(this,'configperso');" style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;width:145px;">
				<option value=""<?php if(!isset($redacprefs['rgroupseudo']) || $redacprefs['rgroupseudo'] == '') { echo '&nbsp;selected="selected"';} ?>><?php echo $redac78; ?></option>
<?php
        		foreach ($rpseudoLower as $rnamegrpseudo => $valeur) {
					echo '<option value="'.$rnamegrpseudo.'"';
					if($redacprefs['rgroupseudo'] == $rnamegrpseudo) {
						echo ' selected="selected"';
					}
					echo '>'.$rnamegrpseudo.'</option>';
				}    
?>
				</select>
<?php
			break;
	
			case 'yes' :
?>
				<span style="font-weight:bold;"><?php echo $redac149; ?></span><input style="margin:8px 15px;vertical-align:middle;" type="text" id="newrpseudo" name="newrpseudo" size="20" value="<?php echo $oldrgroupseudo; ?>"><br /> <!-- pseudo du groupe rdacteur -->
<?php
			break;
			default :
				die($redac139);	
		}
?>
		</div>
		</div>
		<div id="configperso0" style="text-align:center;margin-top:40px;">
		<div style="text-align:center; padding-bottom:15px; font-weight:bold; text-decoration:underline;"><?php echo $redac74; ?></div>
		<table cellspacing="0" cellpadding="0" align="center" border="0" width="100%" style="margin-bottom:30px;">
        <tr>
<?php
		AffichChoixSectionRedac('news','ne',$redac40);
		AffichChoixSectionRedac('art','ar',$redac39);
?>
		</tr>
        <tr>	
<?php
		AffichChoixSectionRedac('photo','ph',$redac41);
		AffichChoixSectionRedac('links','li',$redac42);
?>
		</tr>
        <tr>
<?php
		AffichChoixSectionRedac('think','ci',$redac43);
		AffichChoixSectionRedac('faq','fa',$redac44);
?>
		</tr>
        <tr>
<?php
		AffichChoixSectionRedac('file','up',$redac45);
		AffichChoixSectionRedac('banner','ba',$redac46);
?>
		</tr>
        <tr>
<?php
		AffichChoixSectionRedac('dnload','dn',$redac126);
		AffichChoixSectionRedac('agenda','ag',$redac116);
?>
		</tr>
		<tr>
			<td style="text-align:right;width:18%;"><?php echo $redac176; ?></td>      
        	<td style="padding-left:10px; height:55px; width:120px;vertical-align:middle;">
			<input style="vertical-align:middle;" type="checkbox" id="redito" name="redito" value="ed" <?php if ($redacprefs['redito'] == 'ed') { echo 'checked="checked"'; } ?> />
			</td>
<?php
		AffichChoixSectionRedac('blog','bl',$redac182);
?> 
		</tr>              
        </table>
		</div>
		<div style="text-align:center; margin-top:30px; padding-bottom:15px; font-weight:bold; text-decoration:underline;"><?php echo $redac62; ?></div>
		<div style="text-align:center; margin-top:15px;"> <!-- correction bug IE -->
		<div style="margin-left:auto;margin-right:auto;width:600px;text-align:right;">
<?php
if ($grpredac=='no') {
?>
		<!-- Option Ajouter Article -->
		<div style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac76; ?> :</div>
		<div style="text-align:left;padding-left:305px;margin-bottom:10px;">
    	<select name="raddart[]" size="6" multiple style="vertical-align:middle;width:280px;">
    	<option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
		//On rcupre les id de tous les articles crits par le rdacteur
  		$docidredac = REP_DOC."doc_".$oldrpseudo.DBEXT; // on affecte le fichier doc du rdacteur
  		$rdbwork = array();
  		$rdbwork = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields($docidredac),TYP_ART),"d");
 		@rsort($rdbwork);
  		$rnbart = count($rdbwork);

		//On rcupre les id de tous les articles crits dans guppy
  		$dbwork = array();
  		$dbwork = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),TYP_ART),"d");
  		$nbart = count($dbwork);

		// on retire les id des articles du rdacteurs  parmi les id de tous les articles
  		for ($i = 0; $i < $rnbart; $i++) {
  			for ($j = 0; $j < $nbart; $j++) {
  				if ($dbwork[$j][1] == $rdbwork[$i][1]){
  			 		$dbwork[$j][1] = "";
  				}
    		}
  		}
  	
		// on affiche les id des articles qui restent
  		@rsort($dbwork);
  		$nbart = count($dbwork);   
  		for ($i = 0; $i < $nbart; $i++) {
  			if ($dbwork[$i][1] != ""){
	  			@include(CHEMIN."data/doc".$dbwork[$i][1].".inc");
	  			$fielda1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda1)));
      			$fielda2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda2)));
      			$fieldb1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb1)));
      			$fieldb2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb2)));
	  			if ($lng == $lang[0]) {
          			echo '<option value="'.$dbwork[$i][1].'" title="'.$dbwork[$i][1].' : '.$fielda1.' - '.$fieldb1.'">'.$dbwork[$i][1].' : '.CutLongWord($fielda1, 20).' - '.CutLongWord($fieldb1, 20).'</option>';
	  			}else{
         			echo '<option value="'.$dbwork[$i][1].'" title="'.$dbwork[$i][1].' : '.$fielda2.' - '.$fieldb2.'">'.$dbwork[$i][1].' : '.CutLongWord($fielda2, 20).' - '.CutLongWord($fieldb2, 20).'</option>';	  
	  			}
    		}
  		}
?>
    	</select>
		</div>
	<!-- Option Retirer Article -->
		<div style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac77; ?> :</div>
		<div style="text-align:left;padding-left:305px;margin-bottom:10px;">
    	<select name="removart[]" size="6" multiple style="vertical-align:middle;width:280px;">
    	<option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
		//On rcupre les id de tous les articles crits par le rdacteur
  		for ($i = 0; $i < $rnbart; $i++) {
      		@include(CHEMIN."data/doc".$rdbwork[$i][1].".inc");
	  		$fielda1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda1)));
      		$fielda2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda2)));
      		$fieldb1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb1)));
      		$fieldb2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb2)));
	  		if ($lng == $lang[0]) {	  
          		echo '<option value="'.$rdbwork[$i][1].'">'.$rdbwork[$i][1].' : '.CutLongWord($fielda1, 20).' - '.CutLongWord($fieldb1, 20).'</option>';
	  		}else{
         		 echo '<option value="'.$rdbwork[$i][1].'">'.$rdbwork[$i][1].' : '.CutLongWord($fielda2, 20).' - '.CutLongWord($fieldb2, 20).'</option>';
	  		}
  		}
?>
    	</select>
		</div>
<?php
}
?>		
	<!-- Option choix de l'diteur  -->
		<div id="configperso8" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac161; ?> :</div>
		<div id="configperso9" style="text-align:left;padding-left:305px;margin-bottom:10px;">
		<select name="reditor" style="vertical-align:middle;">
		<option value="" <?php if ($redacprefs['reditor'] == "" || !isset($redacprefs['reditor'])) { echo 'selected="selected"'; } ?>><?php echo $redac162; ?></option>
		<option value="wysiwyg" <?php if ($redacprefs['reditor'] == "wysiwyg") { echo 'selected="selected"'; } ?>><?php echo $redac167; ?></option>
		<option value="textarea" <?php if ($redacprefs['reditor'] == "textarea") { echo 'selected="selected"'; } ?>><?php echo $redac168; ?></option>

<?php
/*		if(file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
?>
       		<option value="FCKin" <?php if ($redacprefs['reditor'] == "FCKin") { echo 'selected="selected"'; } ?>><?php echo $redac163; ?></option>
<?php
		}
/*		if(file_exists(CHEMIN.'inc/jscript/quickbuild.js')) {
?>
       		<option value="Typetoolin" <?php if ($redacprefs['reditor'] == "Typetoolin") { echo 'selected="selected"'; } ?>><?php echo $redac167; ?></option>
<?php
		}*/
/*		if(file_exists(CHEMIN.'inc/fckeditor/fckeditor.js')) {
?>
			<option value="FCK" <?php if ($redacprefs['reditor'] == "FCK") { echo 'selected="selected"'; } ?>><?php echo $redac164; ?></option>
<?php
		}
/*		if(file_exists(CHEMIN.'inc/jscript/quickbuild.js')) {
?>
       		<option value="Typetool" <?php if ($redacprefs['reditor'] == "Typetool") { echo 'selected="selected"'; } ?>><?php echo $redac168; ?></option>
<?php
		} */
/*		if(file_exists(CHEMIN.'inc/htmlarea/htmlarea.js')) {
?>
			<option value="HTMLArea" <?php if ($redacprefs['reditor'] == "HTMLArea") { echo 'selected="selected"'; } ?>><?php echo $redac165; ?></option>
<?php
		}
		if(file_exists(CHEMIN.'inc/xinha/htmlarea.js')) {
?>
			<option value="Xinha" <?php if ($redacprefs['reditor'] == "Xinha") { echo 'selected="selected"'; } ?>><?php echo $redac166; ?></option>
<?php
		}
		if (file_exists(CHEMIN.'inc/tinymce/tiny_mce.js')) {
?>
			<option value="MCE" <?php if ($redacprefs['reditor'] == "MCE") { echo 'selected="selected"'; } ?>><?php echo $redac169; ?></option>
<?php
		}*/
?>
		</select>
		</div>
	<!-- Option Boites Article -->
		<div id="configperso1" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $admin347; ?> :</div>
		<div id="configperso2" style="text-align:left;padding-left:305px;margin-bottom:10px;">
    	<select name="rbart">
    	<option value="all" <?php if ($redacprefs['rbart'] == "all") { echo 'selected="selected"'; } ?>><?php echo $redac63; ?></option>
    	<option value="bart1" <?php if ($redacprefs['rbart'] == "bart1") { echo 'selected="selected"'; } ?>><?php echo $admin348; ?></option>
    	<option value="bart2" <?php if ($redacprefs['rbart'] == "bart2") { echo 'selected="selected"'; } ?>><?php echo $admin349; ?></option>
<?php	//Boites MenuExtra (plugin ajoutemenu)
		if (is_dir(CHEMIN."plugins/ajoutemenu")) {
    		echo '<option value="bajmnu"'.(($redacprefs['rbart'] == "bajmnu")? ' selected="selected"' : '').'>Menus Extra</option>';
		}
?>
    	</select>
		</div>
    <!-- Option Autoriser l'attribution d'un accs  un groupe priv  -->
		<div id="configperso8" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac183; ?> :</div>
		<div id="configperso9" style="text-align:left;padding-left:305px;margin-bottom:10px;">
		<select name="raccessprivategroup" style="vertical-align:middle;">
           <option value="On"<?php echo !empty($redacprefs['raccessprivategroup'])? ' selected="selected"' : '' ?>><?php echo $redac86; ?></option>
		   <option value=""<?php echo empty($redacprefs['raccessprivategroup'])? ' selected="selected"' : '' ?>><?php echo $redac87; ?></option>
		</select>
		</div>

	<!-- Option Autoriser la modification mot de passe -->
		<div id="configperso3" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac92; ?> :</div>
		<div id="configperso4" style="text-align:left;padding-left:305px;margin-bottom:10px;">
		<select name="rwritpass">
   	 	<option value="On" <?php if ($redacprefs['rwritpass'] == "On") { echo 'selected="selected"'; } ?>><?php echo $redac86; ?></option>
		<option value="Off" <?php if ($redacprefs['rwritpass'] == "Off") { echo 'selected="selected"'; } ?>><?php echo $redac87; ?></option>
		</select>
		</div>
	<!-- Option Envoie d'un email  l'administrateur lors de la cration ou modification d'un article  -->
		<div id="configperso5" style="text-align:right;float:left; width:290px;"><?php echo $redac117; ?> :</div>
		<div id="configperso6" style="text-align:left;height:40px;padding-left:305px;margin-bottom:10px;">
		<select name="rsendmailadmin">
    	<option value="Off" <?php if ($redacprefs['rsendmailadmin'] == "Off") { echo 'selected="selected"'; } ?>><?php echo $redac87; ?></option>
		<option value="On" <?php if ($redacprefs['rsendmailadmin'] == "On") { echo 'selected="selected"'; } ?>><?php echo $redac86; ?></option>
		</select>
		</div>
<?php
if ($grpredac=='no') {
	// On rcupre la liste de tous les pseudos des rdacteurs sauf le pseudo du rdacteur slectionn 
	$listRedac = getListRedac();
	unset($listRedac[$redacprefs['rpseudo']]);
			
	//On rcupre les pseudos des rdacteurs dj grer
	$listGestRedac = explode('|', $redacprefs['rlistgestredac']);
	
	foreach($listGestRedac as $redacName) {
		$delnameredac[$redacName] = strtolower($redacName);
		unset($listRedac[$redacName]);
	}		
	asort($delnameredac);
	
	// On rcupre la liste des rdacteurs non grs
	$addnameredac = $listRedac;
	asort($addnameredac);
?>
<!-- Option Ajouter Gestion de rdacteurs -->
		<div style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac170; ?> :</div>
		<div style="text-align:left;padding-left:305px;margin-bottom:10px;">
        <select name="raddgestredac[]" size="6" multiple style="vertical-align:middle;width:150px">
        <option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
		//On affiche la liste des pseudos non grs
		foreach($addnameredac as $nameRedac => $val) {
        	echo '<option value="'.$nameRedac.'">'.$nameRedac.'</option>';
		}
?>
        </select>
		</div>
<!-- Option Retirer Gestion de rdacteurs -->
		<div style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac171; ?> :</div>
		<div style="text-align:left;padding-left:305px;margin-bottom:10px;">
        <select name="rdelgestredac[]" size="6" multiple style="vertical-align:middle;width:150px">
        <option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
		// On affiche la liste des pseudos grs
		foreach($delnameredac as $nameRedac => $val) {
        	echo '<option value="'.$nameRedac.'">'.$nameRedac.'</option>';
		}	
?>
        </select>
		</div>
<?php
}
?>
		</div>
		</div>
		
		<div id="configperso7" style="text-align:center;"> <!-- correction bug IE -->
<?php
//plugins
        if ($nbplugins != 0){
			echo '<div style="text-align:center; margin-top:40px; padding-bottom:15px; font-weight:bold; text-decoration:underline;">'.$redac75.'</div>';
        	echo '<table cellspacing="0" cellpadding="0" align="center" border="0" width="100%" >';        
              echo '<tr>';
        	  $j = 0;
        	  $nbplugins = count($redac_plugins);
        	  $k = $nbplugins;
              foreach($redac_plugins as $indice => $rplugin) { 
                   include("../admin/plugins/".$rplugin."/plugin.inc");
				   if ($rplugin == "ajoutemenu" || $rplugin == "ajoutefreebox") {
?>
                       <td  style="text-align:center; vertical-align:middle; padding-top:8px; padding-bottom:8px; width:30%;" nowrap><?php echo $plugin_admin_name; ?>			   
                       <input style="margin-left:5px;vertical-align:middle;" type="checkbox" id="<?php echo $rplugin; ?>" name="<?php echo $rplugin; ?>" value="<?php echo $rplugin; ?>" onclick='Affichenum_menu(this.form,"<?php echo $rplugin; ?>");' <?php if ($redacprefs[$rplugin] == $rplugin) { echo 'checked="checked"'; } ?> />
                       <input style="margin-left:5px;vertical-align:middle;" type="text" id="num_<?php echo $rplugin; ?>" name="num_<?php echo $rplugin; ?>" size="10" value="<?php echo $redacprefs[num_.$rplugin]; ?>" title="Veuillez indiquer les numros des menus en les sparant par un point-virgule" <?php if ($redacprefs[$rplugin] != $rplugin) { echo 'disabled="disabled"'; } ?> />
                       </td>
<?php
				   } else {
?>                   
                       <td  style="text-align:center; vertical-align:middle; padding-top:8px; padding-bottom:8px; width:20%;"><?php echo $plugin_admin_name; ?><input style="margin-left:5px; vertical-align:middle;" type="checkbox" id="<?php echo $rplugin; ?>" name="<?php echo $rplugin; ?>" value="<?php echo $rplugin; ?>" <?php if ($redacprefs[$rplugin] == $rplugin) { echo 'checked="checked"'; } ?>></td>
<?php
                   }
                   $j++;
                   $k--;
                   if ($j == 3 && $k > 0) {
                       $j = 0;
                       echo '</tr><tr>';
                   }elseif ($j == 3 && $k <= 0) {
                   	    $j = 0;
                   	    echo '</tr>';
                    }elseif ($k <= 0) {
                   	    echo '<td colspan="'.(3-$j).'">&nbsp;</td></tr>';                   	                   	
                    	}
                }
            echo '</table>'; 
          }         
?>                   
		</div>
		<div style="margin-left:auto;margin-right:auto; margin-top:20px;margin-bottom:20px;text-align:center;">
		<input  class="bouton" type="submit" value="<?php echo $redac7 ?>" />
		</div>
        </form>
<?php
		echo '<script  type="text/javascript">';
			if($grpredac == 'no') echo 'affich_configperso(document.forms[\'redacmodif\'].elements[\'rgroupseudo\'],\'configperso\');';
		  	$redac_section = array('art','blog','photo','links','faq','dnload','file','think','banner','news','agenda');

			for($i=0; $i < count($redac_section);$i++) {
		  		echo 'affich_droits(document.forms[\'redacmodif\'].elements[\'r'.$redac_section[$i].'\'],\'button'.$redac_section[$i].'droits\');'."\n";	
			}
			for($i=0; $i < 7;$i++) {
				$divdroitwidth = ($redac_section[$i]=='file')? '150px' : '90px' ;
				echo 'affich_droit_categorie(\'rwrit'.$redac_section[$i].'\',\'rmod'.$redac_section[$i].'\',\'roptionscat'.$redac_section[$i].'\',\'roptions'.$redac_section[$i].'\',\''.$divdroitwidth.'\');'."\n";
				echo 'affich_name_categorie(document.forms[\'redacmodif\'].elements[\'rwritcat'.$redac_section[$i].'\'],\'rnamecat'.$redac_section[$i].'\');';
			}
		echo '</script>';
       break;

   case "1" :
?>
       <script type="text/javascript">
	      setTimeout("document.suite.submit();",2000);
       </script>
<?php   
       $backurl = 'admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac';
       echo '<form name="suite" action="'.$backurl.'" method="post" style="margin:0px;">';
		switch($grpredac) {
			case 'no' :
       			if ($newrpseudo == $oldrpseudo && empty($newrpass)){
	       			echo '<div style="text-align:center; margin-top:15px;">'.$redac12.'</div>';
       			} 
       			elseif ($newrpseudo == $oldrpseudo && !empty($newrpass)){
	       			echo '<div style="text-align:center; margin-top:15px;">'.$redac26.'</div>';
       			}
       			elseif ($newrpseudo != $oldrpseudo && !empty($newrpass)){
	       			echo '<div style="text-align:center; margin-top:15px;">'.$redac13.'</div>';
       			}
			break;
			case 'yes' :
       			if ($newrgroupseudo == $oldrgroupseudo){
	       			echo '<div style="text-align:center; margin-top:15px; font-weight:bold;">'.$redac144.'</div>';
       			} else {
	       			echo '<div style="text-align:center; margin-top:15px; font-weight:bold;">'.$redac145.'</div>';
       			}
			break;
			default :
				die($redac139);	
		}
	   echo '<div style="text-align:center; margin:5px;">'.$web267.'</div>';
	   echo '<div style="text-align:center; margin-bottom:15px;"><input type="submit" class="bouton" id="retour" name="retour" value="'.$redac115.'" /></div>';    
       echo '</form>';	   
       break;

   case "2" :
		switch($grpredac) {
			case 'no' :
   	    		if (file_exists(REP_REDAC.$newrpseudo.DBEXT)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac14.'</div>';
				} elseif(!preg_match('`^[-a-z0-9_]+$`i',$newrpseudo)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac114.$redac112.$redac111.'</div>';		
				} elseif($newrpass == '') {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac114.$redac113.$redac111.'</div>';		
				} elseif($newrpass != $newrppass) {
		   			echo '<div style="text-align:center; margin-top:15px;">'.$redac114.$redac17.$redac111.'</div>';		
				}
			break;
			case 'yes' :
	    		if (file_exists(REP_REDAC.'grp_'.$newrgroupseudo.INCEXT)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac14.'</div>';
				} elseif(!preg_match('`^[-a-z0-9_]+$`i',$newrgroupseudo)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac110.$redac112.$redac111.'</div>';
				}	
			break;
			default :
				die($redac139);	
		}
	    echo '<div style="text-align:center;margin-top:15px; margin-bottom:15px;"><input type="button" class="bouton" id="retour2" name="retour2" value="'.$redac115.'" onclick="window.history.back();" /></div>';    
        break;

   case "3" :
?>
       <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac27; ?></div>
<?php
       break;
	
	default :
?>
        <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac60; ?></div>
<?php	
}
?>
<hr />
<div align="center"><a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac19; ?></a>
 || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div>
<?php
btable();
include(CHEMIN."inc/bpage.inc");
?>