<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.10 (2013/03/20)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_register.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../");
$userprefs[3] = "L"; //Boites latrales toutes  gauche
if(!preg_match("`^[-a-z]+$`i", $lng) || !preg_match("`^plugin$`i",$pg) || !preg_match("`^adm_redacteurs/inc/redac_register$`i",$plug) || !preg_match("`^(yes|no)$`i",$grpredac)) die("Erreur dans le nom des variables passes dans l'URL !!");
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs.inc");	
include(CHEMIN."plugins/adm_redacteurs/inc/functionredac.inc"); 
include(CHEMIN."inc/hpage.inc");

//Rcupration et initialisation des variables
$confreg = isset($_POST['confreg']) ? $_POST['confreg'] : 0;
//if ($confreg != 0 && $confreg != 1 && $confreg != 2 ) $confreg == 0;
if(!preg_match("`^(0|1|2)$`", $confreg)) die($redac139);

//on rcupre les plugins s'ils sont installs
if (file_exists(REP_DOC_PLUGIN."list_plugins".DBEXT)) { //on teste pour voir si le listing des plugins existe
    $redac_plugins = RecupPluginRedac(REP_DOC_PLUGIN."list_plugins".DBEXT);
	$nbplugins = count($redac_plugins) ;	
} else {
    $nbplugins = 0;
}	
	
if ($confreg == 1){
    ////////////////////////////////////////////////////////////////////
    //Rcupration et correction (si ncessaire) des variables postes//
	////////////////////////////////////////////////////////////////////
	switch($grpredac) {
		case 'no' :
			$rpseudo = VariableControl('rpseudo','post');	//pseudo du rdacteur
			$rpseudo = preg_replace('`[^-a-z0-9_]`i','',trim($rpseudo)); //on enlve les espaces blancs ainsi que tous les caractres interdits
			$rgroupseudo = VariableControl('rgroupseudo','post');	//pseudo du groupe du rdacteur
			$rgroupseudo = preg_replace('`[^-a-z0-9_]`i','',trim($rgroupseudo)); //on enlve les espaces blancs ainsi que tous les caractres interdits
		break;
		case 'yes' :
			$rgroupseudo = VariableControl('rpseudo','post');	//pseudo du groupe				
			$rgroupseudo = preg_replace('`[^-a-z0-9_]`i','',trim($rgroupseudo)); //on enlve les espaces blancs ainsi que tous les caractres interdits
		break;
		default :
			die($redac139);	
	}
	include(CHEMIN.'admin/plugins/adm_redacteurs/inc/var_control.inc');
	
	//Liste des rdacteurs  grer pour super rdacteur
	if ($grpredac == 'no') {	
		$rlistgestredac = implode('|', $_POST['raddgestredac']);
	}

    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	   	   
    //Control du pseudo (unicit,non vide et pas de caractres speciaux) et du pass (non vide et pas d'espace) puis enregistrement//
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	switch($grpredac) {
		case 'no' :
       		if (!preg_match('`^[-a-z0-9_]+$`i',$rpseudo) || file_exists(REP_REDAC.$rpseudo.DBEXT) || $rpass == '' || $rpass != $rppass) {
	       		$confreg = 2;
       		} else { //tests ok
	     		//On crypte le mot de passe
	       		$rpass = md5($rpseudo.$rpass);
         		//On cre le fichier de config du rdacteur
		   		include(CHEMIN."admin/plugins/adm_redacteurs/inc/redac_config.inc");
         		//on cre un fichier doc pour le rdacteur s'il n'existe pas dj (compatibilit ascendante)
           		if(!file_exists(REP_DOC."doc_".$rpseudo.DBEXT)) {
              		$redacdocdb = array();
              		WriteDBFields(REP_DOC."doc_".$rpseudo.DBEXT,$redacdocdb);
		   		}
         		//ajout d'un article au rdacteur
		   		for ($i=0; $i < count($_POST['raddart']);$i++) {
		      		if ($_POST['raddart'][$i] != ""){ 
         	     		//On rcupre l' id de l' article ajout
                 		$dbwork = array();
                 		$dbwork = SelectDBFieldsByID(SelectDBFieldsByType(ReadDBFields(DOCID),TYP_ART),$_POST['raddart'][$i]);
         	     		AppendDBFields(REP_DOC."doc_".$rpseudo.DBEXT,$dbwork[0]); //on crit ces coordonnes dans le fichier doc du rdacteur
			  		}
           		}
       		}
		break;
		case 'yes' :
       		if (!preg_match('`^[-a-z0-9_]+$`i',$rgroupseudo) || file_exists(REP_REDAC.'grp_'.$rgroupseudo.INCEXT)) {
	       		$confreg = 2;
       		} else { //tests ok
         		//On cre le fichier de config du groupe rdacteur
		   		include(CHEMIN."admin/plugins/adm_redacteurs/inc/redac_groupe_config.inc");
       		}
		break;
		default :
			die($redac139);	
	}
 }

////////////////////////////
//Ecriture de la page HTML//
////////////////////////////
($grpredac == 'no')? htable($redac5, "100%") : htable($redac150, "100%");
?>

<div style="text-align:center;margin-bottom:20px;font-weight:bold;text-decoration:underline;"><?php echo $redac53; ?></div>
<ul><li style="text-align:justify;margin-bottom:20px;margin-right:20px;"><?php echo $redac54; ?></li>
<li style="text-align:justify;margin-bottom:20px;margin-right:20px;"><?php echo $redac55; ?></li></ul>
<hr />
<div style="text-align:center;"><a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div> 
<hr />
<br />
<p style="text-align:center;">
<a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac3; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=no"><?php echo $redac4; ?></a>
|| <a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register&#38;grpredac=yes"><?php echo $redac143; ?></a>
</p>
<?php
switch($confreg) {
    case "0" :
?>
        <script language="JavaScript" type="text/javascript">
        <!--
		  //fonction pour la slection d'une catgorie
		  function affich_droit_categorie(idcase1,idcase2,idson,idparent,divwidth) {
		  	if(document.redacregister.elements[idcase1].checked || document.redacregister.elements[idcase2].checked ) {
		  		document.getElementById(idparent).style.width = '220px';
		  		document.getElementById(idson).style.display = 'block';
		  	} else {
		  		document.getElementById(idparent).style.width = divwidth;
		  		document.getElementById(idson).style.display = 'none';
			}
			return;	  
		  }
		  
		  function affich_name_categorie(idcase,id) {
		  	if(idcase.checked) {
		  		document.getElementById(id).disabled = true;
				document.getElementById(id).value= "";
		  	} else {
		  		document.getElementById(id).disabled = false;
				document.getElementById(id).value= document.getElementById('rpseudo').value;
				document.getElementById(id).focus();
			}
			return;	  
		  }
		  

		  function affich_options(id,idcase,idinput,view) {
		  	var message ;
		    var erreur = false;
		  	switch (idinput){
				case 'rnamecatfile' :
					var namecatvalue = document.getElementById(idinput).value;
					//namecatvalue = namecatvalue.replace(/\s/g,'');
		  			if(!document.redacregister.elements[idcase].checked) {
						if (namecatvalue.length < 1) {  //pas de nom
							message = '<?php echo addslashes($redac154); ?>';
							erreur = true;
             			} else if (namecatvalue.search(/[^-a-zA-Z0-9_]/g) != -1) {  //caractres interdits dans le nom
                			message = '<?php echo addslashes($redac16); ?>';
                			erreur = true;		 
			 			}
						if(erreur) {
							alert(message);
							message = '';
						} else {
		  					document.getElementById(id).style.display = view;
						}
					} else {
		  				document.getElementById(id).style.display = view;
					}
				break;
				case 'rnamecatart' :
					if(document.getElementById(idinput) != null) {
						var namecatvalue = document.getElementById(idinput).value;
						document.getElementById(idinput).value = namecatvalue.replace(/"/g,"'");
						namecatvalue = namecatvalue.replace(/\s/g,'');
		  				document.getElementById(id).style.display = view;
					} else {
		  				document.getElementById(id).style.display = view;			
					}
				break;
				default :
					message = '<?php echo $redac153; ?>';
					if(document.getElementById(idinput) != null) {
						var namecatvalue = document.getElementById(idinput).value;
						document.getElementById(idinput).value = namecatvalue.replace(/"/g,"'");
						namecatvalue = namecatvalue.replace(/\s/g,'');
		  				if(!document.redacregister.elements[idcase].checked  && namecatvalue =='') {
							alert(message);
						} else {
		  					document.getElementById(id).style.display = view;
						}
					} else {
		  				document.getElementById(id).style.display = view;			
					}			
			}
		  }
		  
		  function affich_droits(idcase,id) {
		  	if(idcase.checked) {
		  		document.getElementById(id).style.display = 'inline';
			} else{
		  		document.getElementById(id).style.display = 'none';			
			}
		  }

		  //fonction pour afficher config personnalise
		  function affich_configperso(idselect,id) {
		  	var i = idselect.selectedIndex;
		  	if(idselect.options[i].value == '') {
				for (j=0;j<10;j++) {
		  			document.getElementById(id+j).style.display = 'block';
				}
		  	} else {
				for (j=0;j<10;j++) {
		  			document.getElementById(id+j).style.display = 'none';
				}		  		
			}
		  }
		   
		  //fonction pour la slection des numros des menus pour les plugins ajoutemenu
		  function Affichenum_menu(h,plugin) {
                switch (plugin) {
			        case 'ajoutemenu' :
		                var i = h.ajoutemenu;
				        var j = h.num_ajoutemenu;
				        break;
			        case 'ajoutefreebox' :
		                var i = h.ajoutefreebox;
				        var j = h.num_ajoutefreebox;
				        break;					
				    default :
				        window.alert("Un problme est survenu, veuillez recommencer ou contacter l'auteur du plugin");
			    }
			    if (i.checked == false) { 
				    j.disabled = true;
				    j.value = ""; 

				}
			    if (i.checked == true) { 
				    j.disabled = false;
				    j.value = "0;1"; 				
				}
			    return;	  
		  } 

         //fonction pour le control sur la saisie des numros de menus des plugins de jeanmi
         function plugin_control(h,plugin,name) {
             if (h.elements[plugin].value != "") {
			     chainemnu = h.elements[plugin].value;
				 if (chainemnu.charAt(chainemnu.length-1) == ';') {
				               message += '<?php echo addslashes($redac104); ?>'+name+'\n';	
						       message += '<?php echo addslashes($redac105); ?>\n';							   				     
						       return true;
                 } else {
                     mnu = h.elements[plugin].value.split(";");
					 erreur_mnu = 0;
					 erreur_mnu1 = 0;
			         for(i=0; i<(mnu.length); i++) {
				          if (mnu[i] == "") {
							   erreur_mnu = 1;							   
					      } else  if ((mnu[i] != parseFloat(mnu[i])) || (mnu[i] < 0) || (mnu[i] >= 20)) {
							   erreur_mnu1 = 1;
					      } 		 
			         }
					 if (erreur_mnu == 1 || erreur_mnu1 == 1) {
                          message += '<?php echo addslashes($redac104); ?>'+name+'\n';
						  if (erreur_mnu == 1) {
						       message += '<?php echo addslashes($redac106); ?>\n';							   				     					 
						  }
						  if (erreur_mnu1 == 1) { 
						       message += '<?php echo addslashes($redac107); ?>\n';
					           message += '<?php echo addslashes($redac108); ?>\n\n';
						  }
						  return true;					 
					 } else {
					      return false;
					 }
				 }
			 } else {
			   return false;
			 }
		 }		
		 -->
         </script>
		 
        <script language="JavaScript" type="text/javascript">
        <!--
		  var message = '';  //variable globale pour initialiser message
			 
          function submit_config(h) {
		     var erreur = false;
		  // Control du pseudo
             if (h.rpseudo.value.length < 1) {  //pas de pseudo
                message += '<?php echo addslashes($redac15); ?>\n\n'; 
                erreur = true;
             } else if (h.rpseudo.value.search(/[^-a-zA-Z0-9_]/g) != -1) {  //caractres interdits dans pseudo
                message += '<?php echo addslashes($redac16); ?>\n\n';
                erreur = true;		 
			 }

<?php
if ($grpredac=='no') {
?>			 
		  // Control du pass 
			 if (h.rpass.value.length < 1) {  //pas de pass
                message += '<?php echo addslashes($redac18); ?>\n\n';
                erreur = true;
             } else if (h.rppass.value.length < 1) {  //pas de pass de confirmation
                message += '<?php echo addslashes($redac109); ?>\n\n';
                erreur = true;			 
			 } else if (h.rppass.value != h.rpass.value) {  //pass diffrents
                message += '<?php echo addslashes($redac17); ?>\n\n';
                erreur = true;			 
			 } else if (h.rpass.value.search(/\s/) != -1) {  //espace blanc dans pass
                message += '<?php echo addslashes($redac113); ?>\n\n';
                erreur = true;			 
			 }
<?php
}
?>
          // Control de la saisie des menus du plugin ajoutemenu
             if(document.getElementById('ajoutemenu') != null) { 
                test = plugin_control(h,'num_ajoutemenu','"Menu Extra"');
				if (test == true) erreur = true;
             }
          // Control de la saisie des menus du plugin ajoutefreebox
             if(document.getElementById('ajoutefreebox') != null) { 
                test = plugin_control(h,'num_ajoutefreebox','"Extra Free Box"');
				if (test == true) erreur = true;
             }
          // Fin des control de saisie
  
             if (erreur == true) {
                 alert(message);
				 message = '';
				 return false;
             } else { 
	             return true;
             }
          }
		  
        -->
        </script>

        <form action="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/redac_register" method="post" id="redacregister" name="redacregister" onsubmit="return submit_config(this);">
        <input type="hidden" name="confreg" id="confreg" value="1" />
        <input type="hidden" name="grpredac" id="grpredac" value="<?php echo $grpredac; ?>" />
		<div style="text-align:center; margin-top:15px;"> <!-- correction bug IE -->
		<div style="margin-left:auto;margin-right:auto;width:350px;text-align:right;">
<?php
		switch($grpredac) {
			case 'no' :
?>
				<span style="font-weight:bold;"><?php echo $redac1; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="text" id="rpseudo" name="rpseudo" size="20" value=""><br />   <!-- pseudo du rdacteur -->
				<span style="font-weight:bold;"><?php echo $redac10; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="password" id="rpass" name="rpass" size="20" value=""><br />   <!-- pass du rdacteur -->
				<span style="font-weight:bold;"><?php echo $redac11; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="password" id="rppass" name="rppass" size="20" value=""><br />
				<span style="font-weight:bold;"><?php echo $redac140; ?></span>
<?php
				//Rcupration des pseudo des groupes de rdacteurs
				$rpseudoLower = array();
        		$dir = opendir(REP_REDAC);
        		while ($f = readdir($dir)) {
            		if(is_file(REP_REDAC.$f) && $f != 'index.php' && preg_match('`^grp_[-a-z0-9_]+.inc$`i',$f)) {
		       			//include(REP_REDAC.$f);
			   			$nomgrpredac = preg_replace('`^grp_([-a-z0-9_]+).inc$`i','\\1',$f);
               			$rpseudoLower[$nomgrpredac] = strToLower($nomgrpredac);
	        		}    
	    		}
	    		closedir($dir);
	    		@asort($rpseudoLower);  //tri alphabtique
?>
				<select id="rgroupseudo" name="rgroupseudo" onchange="affich_configperso(this,'configperso');" style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;width:145px;">
				<option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
        		foreach ($rpseudoLower as $rnamegrpseudo => $valeur) {
					echo '<option value="'.$rnamegrpseudo.'">'.$rnamegrpseudo.'</option>';
				}    

?>
				</select>
<?php
			break;
			
			case 'yes' :
?>
				<span style="font-weight:bold;"><?php echo $redac149; ?></span><input style="margin-top:8px;margin-bottom:8px;margin-left:15px;vertical-align:middle;" type="text" id="rpseudo" name="rpseudo" size="20" value=""><br />   <!-- pseudo du groupe rdacteur -->
<?php
			break;
			default :
				die($redac139);	
		}
?>
		</div>
		</div>
		<div id="configperso0" style="text-align:center;margin-top:40px;"> <!-- correction bug IE -->
		<div style="text-align:center; padding-bottom:15px; font-weight:bold; text-decoration:underline;"><?php echo $redac74; ?></div>
		<table cellspacing="0" cellpadding="0" align="center" border="0" width="100%">
        <tr>
<?php
		AffichChoixSectionRedac('news','ne',$redac40);
		AffichChoixSectionRedac('art','ar',$redac39);
?>
		</tr>
        <tr>	
<?php
		AffichChoixSectionRedac('photo','ph',$redac41);
		AffichChoixSectionRedac('links','li',$redac42);
?>
		</tr>
        <tr>
<?php
		AffichChoixSectionRedac('think','ci',$redac43);
		AffichChoixSectionRedac('faq','fa',$redac44);
?>
		</tr>
        <tr>
<?php
		AffichChoixSectionRedac('file','up',$redac45);
		AffichChoixSectionRedac('banner','ba',$redac46);
?>
		</tr>
        <tr>
<?php
		AffichChoixSectionRedac('dnload','dn',$redac126);
		AffichChoixSectionRedac('agenda','ag',$redac116);
?>
		</tr>
		<tr> 
			<td style="text-align:right;width:18%;"><?php echo $redac176; ?></td>      
        	<td style="padding-left:10px; height:55px; width:120px;vertical-align:middle;">
			<input style="vertical-align:middle;" type="checkbox" id="redito" name="redito" value="ed" />
			</td>
<?php
		AffichChoixSectionRedac('blog','bl',$redac182);
?>
		</tr>              
        </table>
		</div>
		<div style="text-align:center; margin-top:30px; padding-bottom:15px; font-weight:bold; text-decoration:underline;"><?php echo $redac62; ?></div>
		<div style="text-align:center; margin-top:15px;"> <!-- correction bug IE -->
		<div style="margin-left:auto;margin-right:auto;width:600px;text-align:right;">
<?php
if ($grpredac=='no') {
?>
<!-- Option Ajouter Article -->
		<div style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac76; ?> :</div>
		<div style="text-align:left;padding-left:305px;margin-bottom:10px;">
        <select name="raddart[]" size="6" multiple style="vertical-align:middle;width:280px;">
        <option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
		//On rcupre les id de tous les articles crits
       	$dbwork = array();
       	$dbwork = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),TYP_ART),"d");
       	@rsort($dbwork);
       	$nbart = count($dbwork);
       	for ($i = 0; $i < $nbart; $i++) {
	       @include(CHEMIN."data/doc".$dbwork[$i][1].".inc");
	       $fielda1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda1)));
           $fielda2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda2)));
           $fieldb1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb1)));
           $fieldb2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb2)));
	       if ($lng == $lang[0]) {
               echo '<option value="'.$dbwork[$i][1].'" title="'.$dbwork[$i][1].' : '.$fielda1.' - '.$fieldb1.'">'.$dbwork[$i][1].' : '.CutLongWord($fielda1,20).' - '.CutLongWord($fieldb1,20).'</option>';
	       }else{
               echo '<option value="'.$dbwork[$i][1].'" title="'.$dbwork[$i][1].' : '.$fielda2.' - '.$fieldb2.'">'.$dbwork[$i][1].' : '.CutLongWord($fielda2,20).' - '.CutLongWord($fieldb2,20).'</option>';
	       }
       	}
?>
        </select>
		</div>
<?php
}
?>
<!-- Option choix de l'diteur  -->
		<div id="configperso8" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac161; ?> :</div>
		<div id="configperso9" style="text-align:left;padding-left:305px;margin-bottom:10px;">
		<select name="reditor" style="vertical-align:middle;">
		<option value="" selected="selected"><?php echo $redac162; ?></option>
		<option value="wysiwyg" selected="selected"><?php echo $redac167; ?></option>
		<option value="textarea" selected="selected"><?php echo $redac168; ?></option>
<?php
/*		if (file_exists(CHEMIN.'inc/fckeditor/fckeditor.php')) {
?>
       		<option value="FCKin"><?php echo $redac163; ?></option>
<?php
		}
/*		if (file_exists(CHEMIN.'inc/jscript/quickbuild.js')) {
?>
       		<option value="Typetoolin"><?php echo $redac167; ?></option>
<?php
		} */
/*		if (file_exists(CHEMIN.'inc/fckeditor/fckeditor.js')) {
?>
			<option value="FCK"><?php echo $redac164; ?></option>
<?php
		}
/*		if (file_exists(CHEMIN.'inc/jscript/quickbuild.js')) {
?>
       		<option value="Typetool"><?php echo $redac168; ?></option>
<?php
		} */
/*		if (file_exists(CHEMIN.'inc/htmlarea/htmlarea.js')) {
?>
			<option value="HTMLArea"><?php echo $redac165; ?></option>
<?php
		}
		if (file_exists(CHEMIN.'inc/xinha/htmlarea.js')) {
?>
			<option value="Xinha"><?php echo $redac166; ?></option>
<?php
		}
		if (file_exists(CHEMIN.'inc/tinymce/tiny_mce.js')) {
?>
			<option value="MCE"><?php echo $redac169; ?></option>
<?php
		}*/
?>
		</select>
		</div>		
<!-- Option Boites Article -->
		<div id="configperso1" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $admin347; ?> :</div>
		<div id="configperso2" style="text-align:left;padding-left:305px;margin-bottom:10px;">
        <select name="rbart" style="vertical-align:middle;">
        <option value="all" selected="selected"><?php echo $redac63; ?></option>
        <option value="bart1" ><?php echo $admin348; ?></option>
        <option value="bart2" ><?php echo $admin349; ?></option>
<?php	//Boites MenuExtra (plugin ajoutemenu)
		if (is_dir(CHEMIN."plugins/ajoutemenu")) {
    		echo '<option value="bajmnu">Menus Extra</option>';
		}
?>
        </select>
		</div>
<!-- Option Autoriser l'attribution d'un accs  un groupe priv  -->
		<div id="configperso8" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac183; ?> :</div>
		<div id="configperso9" style="text-align:left;padding-left:305px;margin-bottom:10px;">
		<select name="raccessprivategroup" style="vertical-align:middle;">
           <option value="On" ><?php echo $redac86; ?></option>
		   <option value="" selected="selected"><?php echo $redac87; ?></option>
		</select>
		</div>

<!-- Option Autoriser la modification mot de passe -->
		<div id="configperso3" style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac92; ?> :</div>
		<div id="configperso4" style="text-align:left;padding-left:305px;margin-bottom:10px;">
		<select name="rwritpass" style="vertical-align:middle;">
           <option value="On" ><?php echo $redac86; ?></option>
		   <option value="Off" selected="selected"><?php echo $redac87; ?></option>
		</select>
		</div>
<!-- Option Envoie d'un email  l'administrateur lors de la cration ou modification d'un article  -->
		<div id="configperso5" style="text-align:right;float:left; width:290px;"><?php echo $redac117; ?> :</div>
		<div id="configperso6" style="text-align:left;height:40px;padding-left:305px;margin-bottom:10px;">
		<select name="rsendmailadmin" style="vertical-align:middle;">
           <option value="On" ><?php echo $redac86; ?></option>
		   <option value="Off" selected="selected"><?php echo $redac87; ?></option>
		</select>
		</div>
<?php
if ($grpredac == 'no') {
	//On rcupre les pseudos de tous les rdacteurs
	$listRedac = getListRedac();
?>
<!-- Option Gestion de rdacteurs -->
		<div style="text-align:right;float:left; width:290px;padding-top:7px;"><?php echo $redac170; ?> :</div>
		<div style="text-align:left;padding-left:305px;margin-bottom:10px;">
        <select name="raddgestredac[]" size="6" multiple style="vertical-align:middle;width:150px">
        <option value="" selected="selected"><?php echo $redac78; ?></option>
<?php
		foreach($listRedac as $nameRedac => $val) {
        	echo '<option value="'.$nameRedac.'">'.$nameRedac.'</option>';
		}
?>
        </select>
		</div>
<?php
}
?>
		</div>
		</div>
		
		<div id="configperso7" style="text-align:center;"> <!-- correction bug IE -->
<?php
        if ($nbplugins != 0){
			echo '<div style="text-align:center; margin-top:40px; padding-bottom:15px; font-weight:bold; text-decoration:underline;">'.$redac75.'</div>';
        	echo '<table cellspacing="0" cellpadding="0" align="center" border="0" width="100%" >';        
            echo '<tr>';            
        	  $j = 0;
        	  $k = $nbplugins;
              foreach($redac_plugins as $indice => $rplugin) { 
                   include("../admin/plugins/".$rplugin."/plugin.inc");
				   if ($rplugin == "ajoutemenu" || $rplugin == "ajoutefreebox") {
                      echo '<td  style="text-align:center; vertical-align:middle; padding-top:8px; padding-bottom:8px; width:30%;" nowrap>'.$plugin_admin_name;			   
                       echo '<input style="margin-left:5px;vertical-align:middle;" type="checkbox" id="'.$rplugin.'" name="'.$rplugin.'" value="'.$rplugin.'" onclick=\'Affichenum_menu(this.form,"'.$rplugin.'");\' />';
                       echo '<input style="margin-left:5px;vertical-align:middle;" type="text" id="num_'.$rplugin.'" name="num_'.$rplugin.'" size="10" value="" title="Veuillez indiquer les numros des menus en les sparant par un point-virgule" disabled="disabled" />';
//modif droits plugin
//						AffichChoixSectionRedac($rplugin,'ajmnu',$plugin_admin_name);
//fin modif droits plugin
                       echo '</td>';
				   } else {
//				   		AffichChoixSectionRedac($rplugin,'ajmnu',$plugin_admin_name);
                    echo '<td  style="text-align:center; vertical-align:middle; padding-top:8px; padding-bottom:8px; width:20%;">'.$plugin_admin_name.'<input style="margin-left:5px; vertical-align:middle;" type="checkbox" id="'.$rplugin.'" name="'.$rplugin.'" value="'.$rplugin.'" /></td>';
                   }
				   $j++;
                   $k--;
                   if ($j == 2 && $k > 0) {
                       $j = 0;
                       echo '</tr><tr>';
                   }elseif ($j == 2 && $k <= 0) {
                   	    $j = 0;
                   	    echo '</tr>';
                    }elseif ($k <= 0) {
                   	    echo '<td colspan="'.(2-$j).'">&nbsp;</td></tr>';                   	                   	
                    	}
               }
            echo '</table>';
          }          
?>                   
		</div>
		<div style="margin-left:auto;margin-right:auto; margin-top:20px;margin-bottom:20px;text-align:center;">
		<input  class="bouton" type="submit" value="<?php echo $redac7 ?>" />
		</div>
        </form>
<?php
		echo '<script  type="text/javascript">';
		  	$redac_section = array('art','photo','links','faq','dnload','file','think','banner','news','agenda');
			for($i=0; $i < count($redac_section);$i++) {
		  		echo 'affich_droits(document.forms[\'redacregister\'].elements[\'r'.$redac_section[$i].'\'],\'button'.$redac_section[$i].'droits\');'."\n";	
			}
			for($i=0; $i < 6;$i++) {
					$divdroitwidth = ($redac_section[$i]=='file')? '150px' : '90px' ;
					echo 'affich_droit_categorie(\'rwrit'.$redac_section[$i].'\',\'rmod'.$redac_section[$i].'\',\'roptionscat'.$redac_section[$i].'\',\'roptions'.$redac_section[$i].'\',\''.$divdroitwidth.'\');'."\n";
			}
		echo '</script>';

        break;

    case "1" :
?>
        <script type="text/javascript">
        <!--
	        setTimeout("document.suite.submit();",2000);
        -->
        </script>
<?php		
	    $backurl = 'admin.php?lng='.$lng.'&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac';
        echo '<form name="suite" action="'.$backurl.'" method="post" style="margin:0px;">';
		if($grpredac=='no') {
			echo '<div style="text-align:center; margin-top:15px; font-weight:bold;">'.$redac8.'&nbsp;<span style="text-decoration:underline;">'.$rpseudo.'</span>&nbsp;'.$redac142.'</div>';
		} else {
			echo '<div style="text-align:center; margin-top:15px; font-weight:bold;">'.$redac141.'&nbsp;<span style="text-decoration:underline;">'.$rgroupseudo.'</span>&nbsp;'.$redac142.'</div>';		
		}
	    echo '<div style="text-align:center; margin:5px;">'.$web267.'</div>';
	    echo '<div style="text-align:center; margin-bottom:15px;"><input type="submit" class="bouton" id="retour" name="retour" value="'.$redac115.'" /></div>';    
        echo '</form>';
        break;

    case "2" :
		switch($grpredac) {
			case 'no' :
	    		if (file_exists(REP_REDAC.$rpseudo.DBEXT)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac14.'</div>';
				} elseif(!preg_match('`^[-a-z0-9_]+$`i',$rpseudo)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac110.$redac112.$redac111.'</div>';		
				} elseif($rpass == '') {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac110.$redac113.$redac111.'</div>';		
				} elseif($rpass != $rppass) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac110.$redac17.$redac111.'</div>';		
				}
			break;
			case 'yes' :
	    		if (file_exists(REP_REDAC.'grp_'.$rgroupseudo.INCEXT)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac14.'</div>';
				} elseif(!preg_match('`^[-a-z0-9_]+$`i',$rgroupseudo)) {
		    		echo '<div style="text-align:center; margin-top:15px;">'.$redac110.$redac112.$redac111.'</div>';
				}	
			break;
			default :
				die($redac139);	
		}
	    echo '<div style="text-align:center;margin-top:15px; margin-bottom:15px;"><input type="button" class="bouton" id="retour2" name="retour2" value="'.$redac115.'" onclick="window.history.back();" /></div>';    
        break;
	
	default :
?>
        <div align="center" style="margin-top:30px; margin-bottom:30px;"><?php echo $redac60; ?></div>
<?php	
}
?>
<hr />
<div align="center"><a href="admin.php?lng=<?php echo $lng; ?>&#38;pg=plugin&#38;plug=adm_redacteurs/inc/adminredac"><?php echo $redac19; ?></a>
 || <a href="admin.php?lng=<?php echo $lng; ?>"><?php echo $admin22; ?></a> || <strong><a href="admin.php?lng=<?php echo $lng; ?>&#38;logout=1"><?php echo $admin19; ?></a></strong></div>
<?php 
btable();
include(CHEMIN."inc/bpage.inc");
?>